Skip to main content
GET
/
reconciliation_matches
List reconciliation matches
curl --request GET \
  --url https://api.endclose.com/v1/reconciliation_matches \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "id": 123,
      "status": "<string>",
      "group_key": "<string>",
      "reconciliation_id": 123,
      "reconciliation_rule_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "records": [
        {
          "id": 123,
          "amount": 123,
          "decimal_places": 2,
          "direction": "credit",
          "data_stream_key": "<string>"
        }
      ]
    }
  ],
  "has_more": true,
  "offset": 123
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

reconciliation_id
string

Filter by reconciliation

status
string

Filter by match status

limit
integer
default:25
Required range: 1 <= x <= 100
offset
integer

Pagination offset

Response

200 - application/json

Paginated list of matches

data
object[]
has_more
boolean
offset
number